<?php
 /*
Plugin Name: Ads Sidebar
Plugin URI: http://www.20script.ir/
Description: Ads 120*240 Or 120*120
Author: mohammad javad
Version: 1.0
Author URI: http://www.20script.ir/
License: GPL2 
*/

// Start class name widget //

class TM_Ad200px_Widget extends WP_Widget {

// Constructor //

	function TM_Ad200px_Widget() {
		$widget_ops = array('classname' => 'tm_ad200_widget', 'description' => __('تبلیغات 120 در 240 یا 120 در 120'));
		$control_ops = array('width' => 410, 'height' => 360);
		$this->WP_Widget('tmmyid_ad200_widget' , __( 'تبلیغات سایدبار'), $widget_ops );
	}

	/**
	 * The frontend function
	 */
	function widget( $args, $instance ) {
		extract( $args );
		
		/* Our variables from the widget settings. */
		if(isset($instance))
		{
			if( isset( $instance[ 'title' ] ) ) {
				$title = apply_filters( 'widget_title', $instance[ 'title' ] );
			}
						
			if( isset( $instance[ 'one' ] ) ) {
				$one = htmlspecialchars_decode( $instance[ 'one' ] );
			}
			if( isset( $instance[ 'two' ] ) ) {
				$two = htmlspecialchars_decode( $instance[ 'two' ] );
			}
		}
			
		/* Before widget (defined by themes). */
		if( isset( $before_widget ) ) {
		echo $before_widget;
		}
		
		/* Display the widget title if one was input (before and after defined by themes). */
		if( !isset( $title ) ) {	
		echo $before_title . $title . $after_title;	
		}
		
		/* Display the widget */
		if( isset( $one ) ) { 
		echo '<div style="display:inline-block; margin:2px 14px;"> '.$one.' </div>';
		}
		if( isset( $two ) ) { 
		echo '<div style=" display:inline-block; margin:2px 10px;"> '.$two.' </div>';
		}
		/* After widget (defined by themes). */
		echo $after_widget;
		
	}
	
	
	/**
	 * Backend widget settings
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );
		
		// htmlspecialchars to save html markup in database, at frontend we use htmlspecialchars_decode
		$instance['one'] = htmlspecialchars($new_instance['one']);
				$instance['two'] = htmlspecialchars($new_instance['two']);

	
		return $instance;
	}
	
	/**
	 * Displays the widget settings controls on the widget panel.
	 *
	 * Backend widget options form
	 */
	function form( $instance ) {
		$defaults = array( 
			'title' => __('Ads'), 
			'one' => __('<a href="#"><img src="http://i.imgur.com/BHTOKvd.png" alt="ads"></a>'),
						
			'two' => __('<a href="#"><img src="http://i.imgur.com/BHTOKvd.png" alt="ads"></a>')
						);
						
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>	
		<p>
			<label for="<?php echo $this->get_field_id('one'); ?>"><?php _e('کد تبلیغ:'); ?></label>
			<textarea id="<?php echo $this->get_field_id('one'); ?>" name="<?php echo $this->get_field_name('one'); ?>"  style="width:100%;height:100px;"><?php echo $instance['one']; ?></textarea>
            <label for="<?php echo $this->get_field_id('two'); ?>"><?php _e('کد تبلیغ:'); ?></label>
			<textarea id="<?php echo $this->get_field_id('two'); ?>" name="<?php echo $this->get_field_name('two'); ?>"  style="width:100%;height:100px;"><?php echo $instance['two']; ?></textarea>
		</p>
		
	<?php
	}
} 

// Add function to widgets_init //
add_action('widgets_init', create_function('', 'return register_widget("TM_Ad200px_Widget");'));

// Portfolio link //
add_filter('plugin_row_meta', 'tmmyid_ad200px_link', 10, 2);
function tmmyid_ad200px_link($links, $file) {
	if ($file == plugin_basename(__FILE__)) {
		$portfolio_link = '<a href="http://www.mahdisweb.ir/%D9%BE%D8%B1%D9%88%DA%98%D9%87-%D9%87%D8%A7/">View Portfolio</a>';
		$links[] = $portfolio_link;
	}
	return $links;
}